﻿@model LoyaltyPointEngine.Model.Parameter.EventCode.EventCodeParam

<style>
    .ui-datepicker-month {
        color: black;
        border-color: #fff;
        border-radius: 5px 0 0 5px;
    }
    .ui-datepicker-year {
        color: black;
        border-color: #fff;
        border-radius: 0 5px 5px 0;
    }
</style>

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Kode Event</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Add Kode Event</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.EventCode.Add(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formAddSalesPerson" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Code <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Code, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Tanggal Mulai <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.StartDateStr, new { @class = "form-control datepicker2", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Tanggal Berakhir <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.EndDateStr, new { @class = "form-control datepicker2", @required = "required" })
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>

        $(document).ready(function () {

            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                appendText: '<span class="help-block">(dd/mm/yyyy)</span>',
                dateFormat: 'dd/mm/yy',
                changeMonth: true, 
                changeYear: true
            }).datepicker("setDate", new Date());

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                            ? 'You missed 1 field. It has been highlighted.'
                            : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddSalesPerson").validate();


        });
    </script>
}